### A Pluto.jl notebook ###
# v0.19.14

using Markdown
using InteractiveUtils

# ╔═╡ b72215bb-8e3a-46e2-8817-271befe1178c
begin
	using PlotlyBase
	using HypertextLiteral
	using PlutoUI
	using LinearAlgebra
	using NLsolve
end

# ╔═╡ 0b869e70-3717-11ec-202c-6b94dac7daf3
md"""
# Teste Intercalar (Exemplo): Macroeconomia

#### Duração: 1 hora e 30 minutos.

## Instituto Universitário de Lisboa (ISCTE--IUL)

**March 2022**
"""

# ╔═╡ b326715f-c37f-44d2-92f9-6264368a18b2
md"""
#### Nome: Inserir nome completo , Nº: 000000
"""

# ╔═╡ 711c7a7f-eac8-4798-b4fb-a8a51fadcf7e
md"""
-----------------------------------------------------------------------------------------------------
"""

# ╔═╡ 694d78c7-4762-4d40-8f9a-6c3d16916d4e
begin
	function Base.show(io::IO, mimetype::MIME"text/html", plt::PlotlyBase.Plot)
       # Remove responsive flag on the plot as we handle responsibity via ResizeObeserver and leaving it on makes the div flickr during updates
	hasproperty(plt,:config) && plt.config.responsive && (plt.config.responsive = false)   
	show(io,mimetype, @htl("""
			<div>
			<script id=asdf>
			const {plotly} = await import("https://cdn.plot.ly/plotly-2.2.0.min.js")
			const PLOT = this ?? document.createElement("div");
		

		
			Plotly.react(PLOT, $(HypertextLiteral.JavaScript(PlotlyBase.json(plt))));


		
			const pluto_output = currentScript.parentElement.closest('pluto-output')

			const resizeObserver = new ResizeObserver(entries => {
				Plotly.Plots.resize(PLOT)
			})

			resizeObserver.observe(pluto_output)

			invalidation.then(() => {
				resizeObserver.disconnect()
			})
		
			return PLOT
			</script>
			</div>
	"""))
	end
end

# ╔═╡ 60bab761-8537-46e3-9940-953cd47da4be
md"""
**-------RESPONDA APENAS A 5 GRUPOS, de forma sucinta e objectiva------**
"""

# ╔═╡ 4109af60-6178-4148-8efe-890245077188
md"""
## Exercício 1 (4 pontos)
"""

# ╔═╡ 25743265-a4d8-45c0-8c17-e75a2858441a
md"""
**a)** Definição do PIB. "No método da produção, definimos o PIB como o actual valor de mercado de todos os novos bens e serviços finais, produzidos na economia durante um determinado período de tempo". Indique as três exceções (ou "special inputations") a este método que contam para o PIB?

**b)** Por que razão, se a taxa de juro real dos EUA aumentar, as exportações líquidas dos EUA tenderão a diminuir? Explique de forma sucinta e objectiva.

**c)** O que é o multiplicador da Procura Autónoma?

**d)** Distinga deslocamentos da função AD de deslocamentos **ao longo** da função AD.
"""

# ╔═╡ 44761582-0c30-4c0b-8f91-c7827226bee9
md"""
!!! tip "Respostas"

    **a.** Resposta.

	**b.** Resposta.

	**c.** Resposta.

	**c.** Resposta.

"""

# ╔═╡ c7e2c3fc-bf1c-4b1b-882a-b9e36d66a32b
# Não altere esta célula. Cotações por pergunta.
begin
	Ia = 0.0 * 1
	Ib = 0.0 * 1
	Ic = 0.0 * 1
	Id = 0.0 * 1
	I = Ia + Ib + Ic + Id
end

# ╔═╡ 9b0f3199-ff28-4820-bcad-e59bc65ce8a6
md"""
## Exercício 2 (4 pontos)
"""

# ╔═╡ 541d8125-e5d0-46ec-a26d-aa1a130c38b2
md"""

**a)** Diga quais são os principais elementos de um modelo macroeconómico.

**b)** O que representam os parâmetros num modelo macroeconómico?

**c)** O que representam num modelo macroeconómico as seguintes variáveis: 
- A taxa de juro real natural. 
- A Fed Funds Rate (FFR). 
- A propenção marginal a consumir $(c)$.
- O consumo privado.

**d)** Considere o seguinte modelo:

$$\begin{aligned}
&x=50-2 y + 0.5 z \\
&y = 4x +2z-2 \\
&z= 10-2x-0.1y \\
\end{aligned}$$

Resolva o modelo usando LinearAlgebra **ou** NLsolve. (Sugerimos que use NLsolve)
"""

# ╔═╡ f604c97e-bbbf-42f3-b602-ae183a32acc7
md"""
	!!! tip "Respostas"

	    **a.** Resposta.

		**b.** Resposta.

		**c1.** Resposta.

		**c2.** Resposta. 

		**c3.** Resposta.

		**c4.** Resposta.

		**d.** Resposta.
		
	"""

# ╔═╡ c09accf2-8d49-4234-9e7a-281b7e94af1d
md"""
Poderá utilizar as células seguintes para efeitos de cálculos.
"""

# ╔═╡ 6a812e6b-9497-4e5e-8ff6-626bedf9d33f
md"""
Definir o modelo:
"""

# ╔═╡ 505c7d0a-8ba8-4500-bf12-0f337e787e8d


# ╔═╡ 36b1e6df-6d57-4845-9408-dfd628472e07
md"""
Obter a solução:
"""

# ╔═╡ 15643808-478f-4bb6-8f89-155707501530


# ╔═╡ cff3fc5b-326b-4efe-836b-229cd23f83cc
# Não altere esta célula. Cotações por pergunta.
begin
	IIa = 0.0 * 0.5
	IIb = 0.0 * 0.5
	IIc = 0.0 * 1.0
	IId = 0.0 * 2.0
	II = IIa + IIb + IIc + IId
end

# ╔═╡ 9b622087-ad34-4f19-9929-cbdf0256eae0
md"""
## Exercício 3 (4 pontos)
"""

# ╔═╡ 663614b3-9a45-4179-b0ca-931c8b3495dd
md"""
Considere a informação na tabela seguinte:

$$\begin{array}{lcccc}
\hline \hline &  \quad \quad \quad \quad   {2004}  &  & \quad \quad \quad \quad {2005} \\
\hline & \text { Quantidades } & \text { Preços } & \text { Quantidades } & \text { Preços } \\
\hline \text { Portáteis } & 500 & 8 & 550 & 6 \\
\text { Bicicletas} & 300 & 2 & 400 & 2.5 \\
\hline \hline
\end{array}$$

**a)** Calcule o valor do PIB nominal para ambos os anos. Entre 2004 e 2005, quanto cresceu o PIB nominal em percentagem?

**b)** Calcule o valor do PIB real usando 2004 como o ano base. Calcule a taxa de crsecimento do PIB real entre 2004 e 2005. 

**c)** Calcule o mesmo que na alínea anterior, só que agora usando o ano de 2005 como o ano base.

**d)** Considere o ano de 2004, como sendo o ano base. Quais são os valores para o índice de preços do PIB para o ano de 2004 e o ano de 2005? Qual foi a taxa de inflação entre 2004 e 2005?
"""

# ╔═╡ 36531663-559a-4893-9ba4-f493ba6f15d8


# ╔═╡ cd9477a3-a0af-44bf-83df-55e22ac2bf7d
begin
	# ano 2004
	QP_04 = 500    # Quantidade de Portáteis no ano 2004
	QB_04 = 300    # Quantidade de Bicicletas no ano 2004
	PP_04 = 8      # Preço de Portáteis no ano 2004
	PB_04 = 2      # Preço de Bicicletas no ano 2004
	
	# ano 2005
	QP_05 = 550 ; QB_05 = 400 ; PP_05 = 6 ; PB_05 = 2.5 
end;

# ╔═╡ 8ed70e06-773b-42b9-83e6-69520bd9db6b
md"""
**a.** Utilize a célula seguinte para calcular o PIB nominal.
"""

# ╔═╡ 396bfaad-21a0-4da1-ba3a-a257e614e80c


# ╔═╡ 33644e81-f694-4520-afdb-5b1a54d681ee
md"""
	!!! tip "Resposta"

	    **a. PIB nominal** 

		PIB nominal 2004 = 

		PIB nominal 2005 = 

		Taxa de crescimento do PIB nominal = 		
	"""

# ╔═╡ fa083d6d-dde0-4eb1-8139-09d1d6d4c3f4
md"""
**b.** Utilize a célula seguinte para calcular o PIB real usando 2004 como o ano base:
"""

# ╔═╡ 0610c261-7473-4f98-be48-ed59699fe85f


# ╔═╡ 95ef52c5-60c9-47a1-874d-1e0aff42cabd
md"""
	!!! tip "Resposta"

	    **b. PIB real usando 2004 como o ano base**

		PIB real 2004 = 

		PIB real 2005 = 

		Taxa de crescimento do PIB real = 
	"""

# ╔═╡ efe056d9-0309-47c9-9c04-cf1407272122
md"""
**c.** Utilize a célula seguinte para calcular o PIB real usando 2005 como o ano base:
"""

# ╔═╡ c476e2eb-0cdc-4d16-b50d-bf5e5d599990


# ╔═╡ f6ac419c-e33c-4aed-a1e7-08020adb5daf
md"""
	!!! tip "Resposta"

	    **c. PIB real usando 2005 como o ano base**

		PIB real 2004 = 

		PIB real 2005 = 

		Taxa de crescimento do PIB real = 
	"""

# ╔═╡ 8cfdd7b9-6a94-4528-a4ad-2036b400f07e
md"""
**d.** Utilize a célula seguinte para calcular o índice de preços do PIB em 2005 (o de 2004 é imediato):
"""

# ╔═╡ af3da409-9ed0-486e-b920-ce0e807efcbb


# ╔═╡ cf458954-4be0-4d8a-9d07-156b4fabf8f1
md"""
Utilize a célula seguinte para calcular a taxa de inflação entre 2004 e 2005:
"""

# ╔═╡ d7ff8fa9-9438-4aab-8208-853d0dd39ee9


# ╔═╡ 1491f2bf-ad5c-4d66-a64b-3ebc464a74c8
md"""
	!!! tip "Resposta"

	    **d. Índice de preços do PIB, usando 2004 como o ano-base**

		Índice de preços do PIB em 2004 = 

		Índice de preços do PIB em 2005 = 

		Taxa de inflação entre 2004 e 2005 = 
	"""

# ╔═╡ 83da306c-64fa-4231-b396-b2006cd3ae05
# Não altere esta célula. Cotações por pergunta.
begin
	IIIa = 0.0 * 1.0
	IIIb = 0.0 * 1.0
	IIIc = 0.0 * 1.0
	IIId = 0.0 * 1.0
	III = IIIa + IIIb + IIIc + IIId
end

# ╔═╡ 36a0155e-86a5-461a-9b29-bf5b12e29e1b
md"""
## Exercício 4 (4 pontos)
"""

# ╔═╡ 4f2bd28d-abe2-43eb-9b7c-65e4ee574499
md"""
No mercado de Bens&Serviços é conhecida a seguinte informação: 

$$\begin{array}{lll}
\overline{C} =2.0 & \qquad & \overline{f}  =1 \\
\overline{I} =1.5 & \qquad & c=0.5 \\
\overline{G} =2.5 & \qquad & b=0.2 \\
\overline{T} =2.5 & \qquad & d=0.4 \\
\overline{N X}=1.0 & \qquad & x=0.15
\end{array}$$

onde as componentes autónomas da despesa são medidas em triliões de dólares e a fricção financeira em pontos percentuais.


**a)** Nesta economia, quais são as forças económicas que explicam o comportamento das componentes autónomas da despesa?

**b)** Usando a informação da célula abaixo, qual é o valor do multiplicador da Procura Autónoma? Que informação este valor transmite?

**c)** Qual a taxa de juro real que o Banco Central deverá "fixar", para que a economia atinja um nível do PIB de 10 triliões? Para que o PIB desça 2 triliões, o que terá de acontecer àquela taxa de juro?

**d)** O Governo anuncia uma diminuição dos Gastos Públicos em 5%. **Quantifique** a variação do PIB.

**e)** Perante aquele anúncio do Governo, o que considera que irá acontecer à Função IS?
"""

# ╔═╡ 52acc9e8-c3fb-42e7-8f82-1b0e15a19ec8
md"""
	!!! tip "Respostas"

	    **a.** Resposta.

		**b.** Resposta.

		**c.** Resposta.

		**d.** Resposta. 

		**e.** Resposta. 
		
	"""

# ╔═╡ 1abf1b21-a268-45da-bcfc-b9cab7119ef4
# Não altere esta célula. Cotações por pergunta.
begin
	IVa = 0.0 * 0.5
	IVb = 0.0 * 1.0
	IVc = 0.0 * 0.5
	IVd = 0.0 * 1
	IVe = 0.0 * 1
	IV = IVa + IVb + IVc + IVd + IVe
end

# ╔═╡ 52c76dc2-146c-4178-9aa3-d132a0551168
md"""
## Exercício 5 (4 pontos)
"""

# ╔═╡ 4b797a8d-2651-454e-aca4-e243a685acf4
md"""
Assuma que a curva de Política Monetária (MP) é dada pela seguinte expressão: 

$$\quad r = 1.0 + 0.5 \pi \qquad \qquad \qquad \qquad (MP)$$

e que é conhecida a seguinte informação sobre a procura agregada:

$$\overline{A} = 7.0 \ , \ m= 2.0 \ , \ \phi=0.25.$$

A função IS será dada por:

$$Y= 2.0 \times 7.0 - 2.0 \times 0.25 \times r. \qquad \qquad \qquad \qquad (IS)$$

Com todos os dados apresentados, poderemos chegar à seguinte função AD:

$$Y= 2.0 \times 7.0 - 0.5 - 0.25 \times \pi \qquad \qquad \qquad \qquad (AD)$$

**a)** O que representa a função MP?

**b)** Descreva o método de obter a função AD, a qual está representada na figura em baixo. O que representa esta função?

**c)** Do ponto 1 para o ponto 2, **quantifique** a variação da taxa de juro nominal?

**d)** Na figura abaixo representada, **quantifique** um facto que leve a AD inicial para o ponto 3. 

**e)** **Quantifique** um facto que leve a AD inicial para o ponto 4.
"""

# ╔═╡ 6b0b7bf1-9a80-44f1-8a08-1b1461220331
md"""
	!!! tip "Respostas"

	    **a.** Resposta.

		**b.** Resposta.

		**c.** Resposta.

		**d.** Resposta. 

		**e.** Resposta. 

		
	"""

# ╔═╡ bc7a7a3d-b43a-4db1-9f42-212226e10a29
# Não altere esta célula. Cotações por pergunta.
begin
	Va = 0.0 * 0.5
	Vb = 0.0 * 0.5
	Vc = 0.0 * 1.0
	Vd = 0.0 * 1.0
	Ve = 0.0 * 1.0
	V = Va + Vb + Vc + Vd + Ve
end

# ╔═╡ 92e13516-d245-4afe-be73-ac26bd894d9b
md"""
## Exercício 6 (4 pontos)
"""

# ╔═╡ b004b15f-67bb-49c8-8eb5-1738ef66dedd
md"""
**a)** Indique os agregados monetários que constituem a Base Monetária (MB).

**b)** O que é o multiplicador monetário ("Money Multiplier"). Considera que este multiplicador terá alguma relevancia nas economias actuais? Justifique de forma sucinta e objectiva. 

**c)** Levando em consideração a figura seguinte, o que representam as duas taxas "Discount rate" e "Deposit rate" **em termos da determinação** da "Fed Funds rate"?

**d)** Diga o que varia no balanço do Fed (Reserva Federal Americana) se este banco proceder às seguintes transações:

- Vende 500 milhões de dólares em "Treasuries" (títulos de dívida pública dos EUA)
- Compra 800 milhões de dólares de "Mortgage-Backed Securities" (títulos hipotecários)
- Fed empresta 600 milhões de dólares a bancos comerciais.
- Fed aumenta as suas taxas de juro ("Discount rate" e "Deposit rate") em 1/4 pontos percentuais.

"""

# ╔═╡ ae593638-a05c-4255-9681-39a9e10efd16
Resource("http://ebs.de.iscte.pt/FedFundsRate.png",:width=>500)

# ╔═╡ 1410f239-a335-43e5-8f44-b07476f02518
md"""
!!! tip "Resposta"

    **a.** Resposta.

	**b.** Resposta.

	**c.** Resposta.

"""

# ╔═╡ d133d735-e2a1-4745-b4f5-f684691fea93
md"""
!!! tip "Resposta"

    **d1.** Resposta.

	**d2.** Resposta.

	**d3.** Resposta.

	**d4.** Resposta.
"""

# ╔═╡ 65e7c84b-f23a-40c1-8d41-3214a6509ed4
# Não altere esta célula. Cotações por pergunta.
begin
	VIa = 0.0 * 1.0
	VIb = 0.0 * 1.0
	VIc = 0.0 * 1.0
	VId = 0.0 * 1.0
	VI = VIa + VIb + VIc +VId 
end

# ╔═╡ f2956bed-9534-4c57-bfaa-fbef3c4af810
md"""
## Fim do teste
"""

# ╔═╡ edbd2b1c-1452-41a6-962c-3434bd420020
md"""
## Células auxiliares (não altere estas células)
"""

# ╔═╡ 0b4adabb-93f9-40d0-8571-b651dd68535c
NotaFinal = I + II + III + IV + V + VI

# ╔═╡ d9672a6f-97af-43d1-9a30-50495204fec8
 TableOfContents()

# ╔═╡ c7190cc0-08d8-45c8-b5de-e5630e0ff00e
html"""<style>
main {
    max-width: 900px;
    align-self: flex-start;
    margin-left: 100px;
}
"""

# ╔═╡ f766a3df-efa6-4171-895d-4c34e5843a7b
begin
	C̄4  = 2.0
	Ī4  = 1.5
	Ḡ4  = 2.5
	T̄4  = 2.5
	N̄X̄4 = 1.06
	f̄4  = 1.0
	c4  = 0.65
	b4  = 0.2
	d4  = 0.4
	x4  = 0.15
end;

# ╔═╡ 52df2abd-1f37-435e-8129-9438a597d24a
begin	
	Ā4 = C̄4 + Ī4 - d4*f̄4 + Ḡ4 + N̄X̄4 - c4*T̄4
	m4 = 1/(1-c4)
	ϕ4 = b4 + d4 + x4
	Print("Ā4 = $(Ā4) , m4 = $(m4) , ϕ4 = $(ϕ4)")
end

# ╔═╡ 4f64fb39-a46d-4f46-b87d-825c013207db
begin
	Y4 = 0.0:0.02:15.0
	
	r4 = (Ā4 ./ ϕ4) .- (1. /(m4 .* ϕ4)).*Y4
	
	trace4_0 = scatter(; x=Y4, y = r4, mode="lines" , line_color = "Blue", line_width = "3",
					name  = "IS")
	
	layout4_0 = Layout(;
					title_text ="Função IS", title_x = 0.5,
                    xaxis=attr(title="PIB em triliões de dólares (Y)", showgrid=true, zeroline=false),
		hovermode = "x",
                    xaxis_range = [0.0, 14.0],
					yaxis_range = [0.0, 7.0],
                    yaxis=attr(title="Taxa de juro real (r)", zeroline = false))

   p4_0 = Plot([trace4_0], layout4_0)
	
end

# ╔═╡ 73ff8fcc-cfd6-45ba-a741-ecfa65a4cf28
begin
	Ā5 = 7.0
	λ5 = 0.5
	m5 = 2.0
	ϕ5 = 0.25
	r̄5 = 1.0
	#
	πdmax5 = (Ā5 / (λ5 * ϕ5)) - r̄5/λ5 # The AD curve y-axis intercept (just to simplify things)
end;

# ╔═╡ 453a8441-496f-4b56-affc-999ee17aeb24
begin
	Y5 = 10.0:0.01:14.5
	
	πd5 = πdmax5 .- ((1 ./(m5 .* ϕ5 .* λ5)) .* Y5)
	
	trace5_6 = scatter(; x = Y5, y = πd5, mode="lines" , line_color = "Blue", line_width = "3",
					name  = "AD")
	
	trace5_10 = scatter(; x = [13.0 , 12.5], y = [2.0 , 4.0], text =["1", "2"], 
					textposition = "top center", name ="Eq.", mode="markers+text", marker_size= "12",
					marker_color="Blue", textfont = attr(family="sans serif", size=16, color="black"))

	trace5_11 = scatter(; x = [13 , 12.5], y = [4.0 , 2.0], text =["3", "4"], 
					textposition = "top center", name ="Eq.", mode="markers+text", marker_size= "12",
					marker_color="Red", textfont = attr(family="sans serif", size=16, color="black"))
	
	
	layout5_6 = Layout(;
					title_text ="Função AD", 
					title_x = 0.5,
					hovermode = "x",
                    xaxis=attr(title=" PIB (Y)", showgrid=true, zeroline=false),
                    xaxis_range = [11.5, 13.75],
                    yaxis=attr(title="Rate of inflation (π)", zeroline = false),
					yaxis_range=[-1 ,8])

   p5_6 = Plot([trace5_6, trace5_10, trace5_11], layout5_6)
end

# ╔═╡ 00000000-0000-0000-0000-000000000001
PLUTO_PROJECT_TOML_CONTENTS = """
[deps]
HypertextLiteral = "ac1192a8-f4b3-4bfe-ba22-af5b92cd3ab2"
LinearAlgebra = "37e2e46d-f89d-539d-b4ee-838fcccc9c8e"
NLsolve = "2774e3e8-f4cf-5e23-947b-6d7e65073b56"
PlotlyBase = "a03496cd-edff-5a9b-9e67-9cda94a718b5"
PlutoUI = "7f904dfe-b85e-4ff6-b463-dae2292396a8"

[compat]
HypertextLiteral = "~0.9.4"
NLsolve = "~4.5.1"
PlotlyBase = "~0.8.19"
PlutoUI = "~0.7.48"
"""

# ╔═╡ 00000000-0000-0000-0000-000000000002
PLUTO_MANIFEST_TOML_CONTENTS = """
# This file is machine-generated - editing it directly is not advised

julia_version = "1.8.2"
manifest_format = "2.0"
project_hash = "d0130b6b5b20a3ef55b3eb678201a8ca53ed6527"

[[deps.AbstractPlutoDingetjes]]
deps = ["Pkg"]
git-tree-sha1 = "8eaf9f1b4921132a4cff3f36a1d9ba923b14a481"
uuid = "6e696c72-6542-2067-7265-42206c756150"
version = "1.1.4"

[[deps.ArgTools]]
uuid = "0dad84c5-d112-42e6-8d28-ef12dabb789f"
version = "1.1.1"

[[deps.ArrayInterfaceCore]]
deps = ["LinearAlgebra", "SparseArrays", "SuiteSparse"]
git-tree-sha1 = "732cddf5c7a3d4e7d4829012042221a724a30674"
uuid = "30b0a656-2188-435a-8636-2ec0e6a096e2"
version = "0.1.24"

[[deps.Artifacts]]
uuid = "56f22d72-fd6d-98f1-02f0-08ddc0907c33"

[[deps.Base64]]
uuid = "2a0f44e3-6c83-55bd-87e4-b1978d98bd5f"

[[deps.ChainRulesCore]]
deps = ["Compat", "LinearAlgebra", "SparseArrays"]
git-tree-sha1 = "e7ff6cadf743c098e08fca25c91103ee4303c9bb"
uuid = "d360d2e6-b24c-11e9-a2a3-2a2ae2dbcce4"
version = "1.15.6"

[[deps.ChangesOfVariables]]
deps = ["ChainRulesCore", "LinearAlgebra", "Test"]
git-tree-sha1 = "38f7a08f19d8810338d4f5085211c7dfa5d5bdd8"
uuid = "9e997f8a-9a97-42d5-a9f1-ce6bfc15e2c0"
version = "0.1.4"

[[deps.ColorSchemes]]
deps = ["ColorTypes", "ColorVectorSpace", "Colors", "FixedPointNumbers", "Random"]
git-tree-sha1 = "1fd869cc3875b57347f7027521f561cf46d1fcd8"
uuid = "35d6a980-a343-548e-a6ea-1d62b119f2f4"
version = "3.19.0"

[[deps.ColorTypes]]
deps = ["FixedPointNumbers", "Random"]
git-tree-sha1 = "eb7f0f8307f71fac7c606984ea5fb2817275d6e4"
uuid = "3da002f7-5984-5a60-b8a6-cbb66c0b333f"
version = "0.11.4"

[[deps.ColorVectorSpace]]
deps = ["ColorTypes", "FixedPointNumbers", "LinearAlgebra", "SpecialFunctions", "Statistics", "TensorCore"]
git-tree-sha1 = "d08c20eef1f2cbc6e60fd3612ac4340b89fea322"
uuid = "c3611d14-8923-5661-9e6a-0046d554d3a4"
version = "0.9.9"

[[deps.Colors]]
deps = ["ColorTypes", "FixedPointNumbers", "Reexport"]
git-tree-sha1 = "417b0ed7b8b838aa6ca0a87aadf1bb9eb111ce40"
uuid = "5ae59095-9a9b-59fe-a467-6f913c188581"
version = "0.12.8"

[[deps.CommonSubexpressions]]
deps = ["MacroTools", "Test"]
git-tree-sha1 = "7b8a93dba8af7e3b42fecabf646260105ac373f7"
uuid = "bbf7d656-a473-5ed7-a52c-81e309532950"
version = "0.3.0"

[[deps.Compat]]
deps = ["Dates", "LinearAlgebra", "UUIDs"]
git-tree-sha1 = "3ca828fe1b75fa84b021a7860bd039eaea84d2f2"
uuid = "34da2185-b29b-5c13-b0c7-acf172513d20"
version = "4.3.0"

[[deps.CompilerSupportLibraries_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "e66e0078-7015-5450-92f7-15fbd957f2ae"
version = "0.5.2+0"

[[deps.ConstructionBase]]
deps = ["LinearAlgebra"]
git-tree-sha1 = "fb21ddd70a051d882a1686a5a550990bbe371a95"
uuid = "187b0558-2788-49d3-abe0-74a17ed4e7c9"
version = "1.4.1"

[[deps.Dates]]
deps = ["Printf"]
uuid = "ade2ca70-3891-5945-98fb-dc099432e06a"

[[deps.DelimitedFiles]]
deps = ["Mmap"]
uuid = "8bb1440f-4735-579b-a4ab-409b98df4dab"

[[deps.DiffResults]]
deps = ["StaticArraysCore"]
git-tree-sha1 = "782dd5f4561f5d267313f23853baaaa4c52ea621"
uuid = "163ba53b-c6d8-5494-b064-1a9d43ac40c5"
version = "1.1.0"

[[deps.DiffRules]]
deps = ["IrrationalConstants", "LogExpFunctions", "NaNMath", "Random", "SpecialFunctions"]
git-tree-sha1 = "8b7a4d23e22f5d44883671da70865ca98f2ebf9d"
uuid = "b552c78f-8df3-52c6-915a-8e097449b14b"
version = "1.12.0"

[[deps.Distances]]
deps = ["LinearAlgebra", "SparseArrays", "Statistics", "StatsAPI"]
git-tree-sha1 = "3258d0659f812acde79e8a74b11f17ac06d0ca04"
uuid = "b4f34e82-e78d-54a5-968a-f98e89d6e8f7"
version = "0.10.7"

[[deps.Distributed]]
deps = ["Random", "Serialization", "Sockets"]
uuid = "8ba89e20-285c-5b6f-9357-94700520ee1b"

[[deps.DocStringExtensions]]
deps = ["LibGit2"]
git-tree-sha1 = "c36550cb29cbe373e95b3f40486b9a4148f89ffd"
uuid = "ffbed154-4ef7-542d-bbb7-c09d3a79fcae"
version = "0.9.2"

[[deps.Downloads]]
deps = ["ArgTools", "FileWatching", "LibCURL", "NetworkOptions"]
uuid = "f43a241f-c20a-4ad4-852c-f6b1247861c6"
version = "1.6.0"

[[deps.FileWatching]]
uuid = "7b1f6079-737a-58dc-b8bc-7a2ca5c1b5ee"

[[deps.FiniteDiff]]
deps = ["ArrayInterfaceCore", "LinearAlgebra", "Requires", "Setfield", "SparseArrays", "StaticArrays"]
git-tree-sha1 = "5a2cff9b6b77b33b89f3d97a4d367747adce647e"
uuid = "6a86dc24-6348-571c-b903-95158fe2bd41"
version = "2.15.0"

[[deps.FixedPointNumbers]]
deps = ["Statistics"]
git-tree-sha1 = "335bfdceacc84c5cdf16aadc768aa5ddfc5383cc"
uuid = "53c48c17-4a7d-5ca2-90c5-79b7896eea93"
version = "0.8.4"

[[deps.ForwardDiff]]
deps = ["CommonSubexpressions", "DiffResults", "DiffRules", "LinearAlgebra", "LogExpFunctions", "NaNMath", "Preferences", "Printf", "Random", "SpecialFunctions", "StaticArrays"]
git-tree-sha1 = "187198a4ed8ccd7b5d99c41b69c679269ea2b2d4"
uuid = "f6369f11-7733-5829-9624-2563aa707210"
version = "0.10.32"

[[deps.Future]]
deps = ["Random"]
uuid = "9fa8497b-333b-5362-9e8d-4d0656e87820"

[[deps.Hyperscript]]
deps = ["Test"]
git-tree-sha1 = "8d511d5b81240fc8e6802386302675bdf47737b9"
uuid = "47d2ed2b-36de-50cf-bf87-49c2cf4b8b91"
version = "0.0.4"

[[deps.HypertextLiteral]]
deps = ["Tricks"]
git-tree-sha1 = "c47c5fa4c5308f27ccaac35504858d8914e102f9"
uuid = "ac1192a8-f4b3-4bfe-ba22-af5b92cd3ab2"
version = "0.9.4"

[[deps.IOCapture]]
deps = ["Logging", "Random"]
git-tree-sha1 = "f7be53659ab06ddc986428d3a9dcc95f6fa6705a"
uuid = "b5f81e59-6552-4d32-b1f0-c071b021bf89"
version = "0.2.2"

[[deps.InteractiveUtils]]
deps = ["Markdown"]
uuid = "b77e0a4c-d291-57a0-90e8-8db25a27a240"

[[deps.InverseFunctions]]
deps = ["Test"]
git-tree-sha1 = "49510dfcb407e572524ba94aeae2fced1f3feb0f"
uuid = "3587e190-3f89-42d0-90ee-14403ec27112"
version = "0.1.8"

[[deps.IrrationalConstants]]
git-tree-sha1 = "7fd44fd4ff43fc60815f8e764c0f352b83c49151"
uuid = "92d709cd-6900-40b7-9082-c6be49f344b6"
version = "0.1.1"

[[deps.JLLWrappers]]
deps = ["Preferences"]
git-tree-sha1 = "abc9885a7ca2052a736a600f7fa66209f96506e1"
uuid = "692b3bcd-3c85-4b1f-b108-f13ce0eb3210"
version = "1.4.1"

[[deps.JSON]]
deps = ["Dates", "Mmap", "Parsers", "Unicode"]
git-tree-sha1 = "3c837543ddb02250ef42f4738347454f95079d4e"
uuid = "682c06a0-de6a-54ab-a142-c8b1cf79cde6"
version = "0.21.3"

[[deps.LaTeXStrings]]
git-tree-sha1 = "f2355693d6778a178ade15952b7ac47a4ff97996"
uuid = "b964fa9f-0449-5b57-a5c2-d3ea65f4040f"
version = "1.3.0"

[[deps.LibCURL]]
deps = ["LibCURL_jll", "MozillaCACerts_jll"]
uuid = "b27032c2-a3e7-50c8-80cd-2d36dbcbfd21"
version = "0.6.3"

[[deps.LibCURL_jll]]
deps = ["Artifacts", "LibSSH2_jll", "Libdl", "MbedTLS_jll", "Zlib_jll", "nghttp2_jll"]
uuid = "deac9b47-8bc7-5906-a0fe-35ac56dc84c0"
version = "7.84.0+0"

[[deps.LibGit2]]
deps = ["Base64", "NetworkOptions", "Printf", "SHA"]
uuid = "76f85450-5226-5b5a-8eaa-529ad045b433"

[[deps.LibSSH2_jll]]
deps = ["Artifacts", "Libdl", "MbedTLS_jll"]
uuid = "29816b5a-b9ab-546f-933c-edad1886dfa8"
version = "1.10.2+0"

[[deps.Libdl]]
uuid = "8f399da3-3557-5675-b5ff-fb832c97cbdb"

[[deps.LineSearches]]
deps = ["LinearAlgebra", "NLSolversBase", "NaNMath", "Parameters", "Printf"]
git-tree-sha1 = "7bbea35cec17305fc70a0e5b4641477dc0789d9d"
uuid = "d3d80556-e9d4-5f37-9878-2ab0fcc64255"
version = "7.2.0"

[[deps.LinearAlgebra]]
deps = ["Libdl", "libblastrampoline_jll"]
uuid = "37e2e46d-f89d-539d-b4ee-838fcccc9c8e"

[[deps.LogExpFunctions]]
deps = ["ChainRulesCore", "ChangesOfVariables", "DocStringExtensions", "InverseFunctions", "IrrationalConstants", "LinearAlgebra"]
git-tree-sha1 = "94d9c52ca447e23eac0c0f074effbcd38830deb5"
uuid = "2ab3a3ac-af41-5b50-aa03-7779005ae688"
version = "0.3.18"

[[deps.Logging]]
uuid = "56ddb016-857b-54e1-b83d-db4d58db5568"

[[deps.MIMEs]]
git-tree-sha1 = "65f28ad4b594aebe22157d6fac869786a255b7eb"
uuid = "6c6e2e6c-3030-632d-7369-2d6c69616d65"
version = "0.1.4"

[[deps.MacroTools]]
deps = ["Markdown", "Random"]
git-tree-sha1 = "42324d08725e200c23d4dfb549e0d5d89dede2d2"
uuid = "1914dd2f-81c6-5fcd-8719-6d5c9610ff09"
version = "0.5.10"

[[deps.Markdown]]
deps = ["Base64"]
uuid = "d6f4376e-aef5-505a-96c1-9c027394607a"

[[deps.MbedTLS_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "c8ffd9c3-330d-5841-b78e-0817d7145fa1"
version = "2.28.0+0"

[[deps.Mmap]]
uuid = "a63ad114-7e13-5084-954f-fe012c677804"

[[deps.MozillaCACerts_jll]]
uuid = "14a3606d-f60d-562e-9121-12d972cd8159"
version = "2022.2.1"

[[deps.NLSolversBase]]
deps = ["DiffResults", "Distributed", "FiniteDiff", "ForwardDiff"]
git-tree-sha1 = "50310f934e55e5ca3912fb941dec199b49ca9b68"
uuid = "d41bc354-129a-5804-8e4c-c37616107c6c"
version = "7.8.2"

[[deps.NLsolve]]
deps = ["Distances", "LineSearches", "LinearAlgebra", "NLSolversBase", "Printf", "Reexport"]
git-tree-sha1 = "019f12e9a1a7880459d0173c182e6a99365d7ac1"
uuid = "2774e3e8-f4cf-5e23-947b-6d7e65073b56"
version = "4.5.1"

[[deps.NaNMath]]
deps = ["OpenLibm_jll"]
git-tree-sha1 = "a7c3d1da1189a1c2fe843a3bfa04d18d20eb3211"
uuid = "77ba4419-2d1f-58cd-9bb1-8ffee604a2e3"
version = "1.0.1"

[[deps.NetworkOptions]]
uuid = "ca575930-c2e3-43a9-ace4-1e988b2c1908"
version = "1.2.0"

[[deps.OpenBLAS_jll]]
deps = ["Artifacts", "CompilerSupportLibraries_jll", "Libdl"]
uuid = "4536629a-c528-5b80-bd46-f80d51c5b363"
version = "0.3.20+0"

[[deps.OpenLibm_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "05823500-19ac-5b8b-9628-191a04bc5112"
version = "0.8.1+0"

[[deps.OpenSpecFun_jll]]
deps = ["Artifacts", "CompilerSupportLibraries_jll", "JLLWrappers", "Libdl", "Pkg"]
git-tree-sha1 = "13652491f6856acfd2db29360e1bbcd4565d04f1"
uuid = "efe28fd5-8261-553b-a9e1-b2916fc3738e"
version = "0.5.5+0"

[[deps.OrderedCollections]]
git-tree-sha1 = "85f8e6578bf1f9ee0d11e7bb1b1456435479d47c"
uuid = "bac558e1-5e72-5ebc-8fee-abe8a469f55d"
version = "1.4.1"

[[deps.Parameters]]
deps = ["OrderedCollections", "UnPack"]
git-tree-sha1 = "34c0e9ad262e5f7fc75b10a9952ca7692cfc5fbe"
uuid = "d96e819e-fc66-5662-9728-84c9c7592b0a"
version = "0.12.3"

[[deps.Parsers]]
deps = ["Dates"]
git-tree-sha1 = "6c01a9b494f6d2a9fc180a08b182fcb06f0958a0"
uuid = "69de0a69-1ddd-5017-9359-2bf0b02dc9f0"
version = "2.4.2"

[[deps.Pkg]]
deps = ["Artifacts", "Dates", "Downloads", "LibGit2", "Libdl", "Logging", "Markdown", "Printf", "REPL", "Random", "SHA", "Serialization", "TOML", "Tar", "UUIDs", "p7zip_jll"]
uuid = "44cfe95a-1eb2-52ea-b672-e2afdf69b78f"
version = "1.8.0"

[[deps.PlotlyBase]]
deps = ["ColorSchemes", "Dates", "DelimitedFiles", "DocStringExtensions", "JSON", "LaTeXStrings", "Logging", "Parameters", "Pkg", "REPL", "Requires", "Statistics", "UUIDs"]
git-tree-sha1 = "56baf69781fc5e61607c3e46227ab17f7040ffa2"
uuid = "a03496cd-edff-5a9b-9e67-9cda94a718b5"
version = "0.8.19"

[[deps.PlutoUI]]
deps = ["AbstractPlutoDingetjes", "Base64", "ColorTypes", "Dates", "FixedPointNumbers", "Hyperscript", "HypertextLiteral", "IOCapture", "InteractiveUtils", "JSON", "Logging", "MIMEs", "Markdown", "Random", "Reexport", "URIs", "UUIDs"]
git-tree-sha1 = "efc140104e6d0ae3e7e30d56c98c4a927154d684"
uuid = "7f904dfe-b85e-4ff6-b463-dae2292396a8"
version = "0.7.48"

[[deps.Preferences]]
deps = ["TOML"]
git-tree-sha1 = "47e5f437cc0e7ef2ce8406ce1e7e24d44915f88d"
uuid = "21216c6a-2e73-6563-6e65-726566657250"
version = "1.3.0"

[[deps.Printf]]
deps = ["Unicode"]
uuid = "de0858da-6303-5e67-8744-51eddeeeb8d7"

[[deps.REPL]]
deps = ["InteractiveUtils", "Markdown", "Sockets", "Unicode"]
uuid = "3fa0cd96-eef1-5676-8a61-b3b8758bbffb"

[[deps.Random]]
deps = ["SHA", "Serialization"]
uuid = "9a3f8284-a2c9-5f02-9a11-845980a1fd5c"

[[deps.Reexport]]
git-tree-sha1 = "45e428421666073eab6f2da5c9d310d99bb12f9b"
uuid = "189a3867-3050-52da-a836-e630ba90ab69"
version = "1.2.2"

[[deps.Requires]]
deps = ["UUIDs"]
git-tree-sha1 = "838a3a4188e2ded87a4f9f184b4b0d78a1e91cb7"
uuid = "ae029012-a4dd-5104-9daa-d747884805df"
version = "1.3.0"

[[deps.SHA]]
uuid = "ea8e919c-243c-51af-8825-aaa63cd721ce"
version = "0.7.0"

[[deps.Serialization]]
uuid = "9e88b42a-f829-5b0c-bbe9-9e923198166b"

[[deps.Setfield]]
deps = ["ConstructionBase", "Future", "MacroTools", "StaticArraysCore"]
git-tree-sha1 = "e2cc6d8c88613c05e1defb55170bf5ff211fbeac"
uuid = "efcf1570-3423-57d1-acb7-fd33fddbac46"
version = "1.1.1"

[[deps.Sockets]]
uuid = "6462fe0b-24de-5631-8697-dd941f90decc"

[[deps.SparseArrays]]
deps = ["LinearAlgebra", "Random"]
uuid = "2f01184e-e22b-5df5-ae63-d93ebab69eaf"

[[deps.SpecialFunctions]]
deps = ["ChainRulesCore", "IrrationalConstants", "LogExpFunctions", "OpenLibm_jll", "OpenSpecFun_jll"]
git-tree-sha1 = "d75bda01f8c31ebb72df80a46c88b25d1c79c56d"
uuid = "276daf66-3868-5448-9aa4-cd146d93841b"
version = "2.1.7"

[[deps.StaticArrays]]
deps = ["LinearAlgebra", "Random", "StaticArraysCore", "Statistics"]
git-tree-sha1 = "f86b3a049e5d05227b10e15dbb315c5b90f14988"
uuid = "90137ffa-7385-5640-81b9-e52037218182"
version = "1.5.9"

[[deps.StaticArraysCore]]
git-tree-sha1 = "6b7ba252635a5eff6a0b0664a41ee140a1c9e72a"
uuid = "1e83bf80-4336-4d27-bf5d-d5a4f845583c"
version = "1.4.0"

[[deps.Statistics]]
deps = ["LinearAlgebra", "SparseArrays"]
uuid = "10745b16-79ce-11e8-11f9-7d13ad32a3b2"

[[deps.StatsAPI]]
deps = ["LinearAlgebra"]
git-tree-sha1 = "f9af7f195fb13589dd2e2d57fdb401717d2eb1f6"
uuid = "82ae8749-77ed-4fe6-ae5f-f523153014b0"
version = "1.5.0"

[[deps.SuiteSparse]]
deps = ["Libdl", "LinearAlgebra", "Serialization", "SparseArrays"]
uuid = "4607b0f0-06f3-5cda-b6b1-a6196a1729e9"

[[deps.TOML]]
deps = ["Dates"]
uuid = "fa267f1f-6049-4f14-aa54-33bafae1ed76"
version = "1.0.0"

[[deps.Tar]]
deps = ["ArgTools", "SHA"]
uuid = "a4e569a6-e804-4fa4-b0f3-eef7a1d5b13e"
version = "1.10.1"

[[deps.TensorCore]]
deps = ["LinearAlgebra"]
git-tree-sha1 = "1feb45f88d133a655e001435632f019a9a1bcdb6"
uuid = "62fd8b95-f654-4bbd-a8a5-9c27f68ccd50"
version = "0.1.1"

[[deps.Test]]
deps = ["InteractiveUtils", "Logging", "Random", "Serialization"]
uuid = "8dfed614-e22c-5e08-85e1-65c5234f0b40"

[[deps.Tricks]]
git-tree-sha1 = "6bac775f2d42a611cdfcd1fb217ee719630c4175"
uuid = "410a4b4d-49e4-4fbc-ab6d-cb71b17b3775"
version = "0.1.6"

[[deps.URIs]]
git-tree-sha1 = "e59ecc5a41b000fa94423a578d29290c7266fc10"
uuid = "5c2747f8-b7ea-4ff2-ba2e-563bfd36b1d4"
version = "1.4.0"

[[deps.UUIDs]]
deps = ["Random", "SHA"]
uuid = "cf7118a7-6976-5b1a-9a39-7adc72f591a4"

[[deps.UnPack]]
git-tree-sha1 = "387c1f73762231e86e0c9c5443ce3b4a0a9a0c2b"
uuid = "3a884ed6-31ef-47d7-9d2a-63182c4928ed"
version = "1.0.2"

[[deps.Unicode]]
uuid = "4ec0a83e-493e-50e2-b9ac-8f72acf5a8f5"

[[deps.Zlib_jll]]
deps = ["Libdl"]
uuid = "83775a58-1f1d-513f-b197-d71354ab007a"
version = "1.2.12+3"

[[deps.libblastrampoline_jll]]
deps = ["Artifacts", "Libdl", "OpenBLAS_jll"]
uuid = "8e850b90-86db-534c-a0d3-1478176c7d93"
version = "5.1.1+0"

[[deps.nghttp2_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "8e850ede-7688-5339-a07c-302acd2aaf8d"
version = "1.48.0+0"

[[deps.p7zip_jll]]
deps = ["Artifacts", "Libdl"]
uuid = "3f19e933-33d8-53b3-aaab-bd5110c3b7a0"
version = "17.4.0+0"
"""

# ╔═╡ Cell order:
# ╟─0b869e70-3717-11ec-202c-6b94dac7daf3
# ╟─b326715f-c37f-44d2-92f9-6264368a18b2
# ╟─711c7a7f-eac8-4798-b4fb-a8a51fadcf7e
# ╟─694d78c7-4762-4d40-8f9a-6c3d16916d4e
# ╟─b72215bb-8e3a-46e2-8817-271befe1178c
# ╟─60bab761-8537-46e3-9940-953cd47da4be
# ╟─4109af60-6178-4148-8efe-890245077188
# ╟─25743265-a4d8-45c0-8c17-e75a2858441a
# ╟─44761582-0c30-4c0b-8f91-c7827226bee9
# ╠═c7e2c3fc-bf1c-4b1b-882a-b9e36d66a32b
# ╟─9b0f3199-ff28-4820-bcad-e59bc65ce8a6
# ╟─541d8125-e5d0-46ec-a26d-aa1a130c38b2
# ╟─f604c97e-bbbf-42f3-b602-ae183a32acc7
# ╟─c09accf2-8d49-4234-9e7a-281b7e94af1d
# ╟─6a812e6b-9497-4e5e-8ff6-626bedf9d33f
# ╠═505c7d0a-8ba8-4500-bf12-0f337e787e8d
# ╟─36b1e6df-6d57-4845-9408-dfd628472e07
# ╠═15643808-478f-4bb6-8f89-155707501530
# ╠═cff3fc5b-326b-4efe-836b-229cd23f83cc
# ╟─9b622087-ad34-4f19-9929-cbdf0256eae0
# ╟─663614b3-9a45-4179-b0ca-931c8b3495dd
# ╠═36531663-559a-4893-9ba4-f493ba6f15d8
# ╠═cd9477a3-a0af-44bf-83df-55e22ac2bf7d
# ╟─8ed70e06-773b-42b9-83e6-69520bd9db6b
# ╠═396bfaad-21a0-4da1-ba3a-a257e614e80c
# ╟─33644e81-f694-4520-afdb-5b1a54d681ee
# ╟─fa083d6d-dde0-4eb1-8139-09d1d6d4c3f4
# ╠═0610c261-7473-4f98-be48-ed59699fe85f
# ╟─95ef52c5-60c9-47a1-874d-1e0aff42cabd
# ╟─efe056d9-0309-47c9-9c04-cf1407272122
# ╠═c476e2eb-0cdc-4d16-b50d-bf5e5d599990
# ╟─f6ac419c-e33c-4aed-a1e7-08020adb5daf
# ╟─8cfdd7b9-6a94-4528-a4ad-2036b400f07e
# ╠═af3da409-9ed0-486e-b920-ce0e807efcbb
# ╟─cf458954-4be0-4d8a-9d07-156b4fabf8f1
# ╠═d7ff8fa9-9438-4aab-8208-853d0dd39ee9
# ╟─1491f2bf-ad5c-4d66-a64b-3ebc464a74c8
# ╠═83da306c-64fa-4231-b396-b2006cd3ae05
# ╟─36a0155e-86a5-461a-9b29-bf5b12e29e1b
# ╟─4f2bd28d-abe2-43eb-9b7c-65e4ee574499
# ╠═52df2abd-1f37-435e-8129-9438a597d24a
# ╟─4f64fb39-a46d-4f46-b87d-825c013207db
# ╟─52acc9e8-c3fb-42e7-8f82-1b0e15a19ec8
# ╠═1abf1b21-a268-45da-bcfc-b9cab7119ef4
# ╟─52c76dc2-146c-4178-9aa3-d132a0551168
# ╟─4b797a8d-2651-454e-aca4-e243a685acf4
# ╟─453a8441-496f-4b56-affc-999ee17aeb24
# ╟─6b0b7bf1-9a80-44f1-8a08-1b1461220331
# ╠═bc7a7a3d-b43a-4db1-9f42-212226e10a29
# ╟─92e13516-d245-4afe-be73-ac26bd894d9b
# ╟─b004b15f-67bb-49c8-8eb5-1738ef66dedd
# ╠═ae593638-a05c-4255-9681-39a9e10efd16
# ╟─1410f239-a335-43e5-8f44-b07476f02518
# ╟─d133d735-e2a1-4745-b4f5-f684691fea93
# ╠═65e7c84b-f23a-40c1-8d41-3214a6509ed4
# ╟─f2956bed-9534-4c57-bfaa-fbef3c4af810
# ╟─edbd2b1c-1452-41a6-962c-3434bd420020
# ╠═0b4adabb-93f9-40d0-8571-b651dd68535c
# ╠═d9672a6f-97af-43d1-9a30-50495204fec8
# ╟─c7190cc0-08d8-45c8-b5de-e5630e0ff00e
# ╟─f766a3df-efa6-4171-895d-4c34e5843a7b
# ╟─73ff8fcc-cfd6-45ba-a741-ecfa65a4cf28
# ╟─00000000-0000-0000-0000-000000000001
# ╟─00000000-0000-0000-0000-000000000002
